Profiler Control(3)

NAME
Profiler Control - profiler control functions of the CUDA runtime API (cuda_profiler_api.h)

  Functions

cudaError_t cudaProfilerInitialize (const char *configFile, const char *outputFile, cudaOutputMode_t outputMode)
Initialize the CUDA profiler.
cudaError_t cudaProfilerStart (void)
Enable profiling.
cudaError_t cudaProfilerStop (void)
Disable profiling.

Detailed Description

This section describes the profiler control functions of the CUDA runtime application programming interface.

Function Documentation

  cudaError_t cudaProfilerInitialize (const char * configFile, const char * outputFile, cudaOutputMode_t outputMode)

Using this API user can initialize the CUDA profiler by specifying the configuration file, output file and output file format. This API is generally used to profile different set of counters by looping the kernel launch. The configFile parameter can be used to select profiling options including profiler counters. Refer to the 'Compute Command Line Profiler User Guide' for supported profiler options and counters.

Limitation: The CUDA profiler cannot be initialized with this API if another profiling tool is already active, as indicated by the cudaErrorProfilerDisabled return code.

Typical usage of the profiling APIs is as follows:

for each set of counters/options
 {
 cudaProfilerInitialize(); //Initialize profiling,set the counters/options in the config file
 ...
 cudaProfilerStart();
 // code to be profiled
 cudaProfilerStop();
 ...
 cudaProfilerStart();
 // code to be profiled
 cudaProfilerStop();
 ...
 }

Parameters:
    configFile - Name of the config file that lists the counters/options for profiling.
    outputFile - Name of the outputFile where the profiling results will be stored.
    outputMode - outputMode, can be cudaKeyValuePair OR cudaCSV.

Returns:
    cudaSuccess, cudaErrorInvalidValue, cudaErrorProfilerDisabled

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cudaProfilerStart, cudaProfilerStop

  cudaError_t cudaProfilerStart (void)

Enables profile collection by the active profiling tool for the current context. If profiling is already enabled, then cudaProfilerStart() has no effect.

cudaProfilerStart and cudaProfilerStop APIs are used to programmatically control the profiling granularity by allowing profiling to be done only on selective pieces of code.

Returns:
    cudaSuccess

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cudaProfilerInitialize, cudaProfilerStop

  cudaError_t cudaProfilerStop (void)

Disables profile collection by the active profiling tool for the current context. If profiling is already disabled, then cudaProfilerStop() has no effect.

cudaProfilerStart and cudaProfilerStop APIs are used to programmatically control the profiling granularity by allowing profiling to be done only on selective pieces of code.

Returns:
    cudaSuccess

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cudaProfilerInitialize, cudaProfilerStart

Author

Generated automatically by Doxygen from the source code.